/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Tom Wheeler. Portions Copyright 2006 Tom Wheeler. All Rights 
 * Reserved. Any future updates to this code will be made available at 
 * http://www.tomwheeler.com/netbeans/
 */
package com.tomwheeler.example.tdlfile.intf;

import java.util.Iterator;

/**
 * <p>
 * This defines the basic operations that are available from a TODO list.
 * </p>
 *
 * @author <a href="http://www.tomwheeler.com/netbeans/">Tom Wheeler</a>
 */
public interface TodoList {
    
    /** 
     * Returns an unmodifiable iterator over all items contained in this TodoList.
     * Any modifications to the TodoList must be done via the <code>addItem()</code>
     * and <code>removeItem(TodoListItem)</code> methods.
     */
    Iterator getItems();

    /** adds a new (empty) TodoList item to this list */
    TodoListItem addItem();

    /** removes thge TodoList item with the specified name from this list */
    void removeItem(TodoListItem item);

    /** adds a listener which is notified when items are added/removed on this list */
    void addListContentListener(ListContentListener listener);

    /** removes a listener which was being notified when items are added/removed on this list */
    void removeListContentListener(ListContentListener listener);

}